Official URL for these scripts is http://nxc.ath.cx/lobo/filez/pekwm/

****** pekwm scripts ******

***** pekwm autoprops generator *****

Required files:

* pekwm_autoprop.pl

If you upgrade to the latest version of pekwm, 0.1.9 and call this script
from a pekwm window menu, an autoproperty will be generated for you without
having to click the window with the crosshair.

This script uses xprop and xwininfo to generate a 'Property' block for the
pekwm autoproperties configuration file.

Usage:

a) If you would like to run this script manually from the console to produce
the block, simply run the script with no parameters:

./pekwm_autoprop.pl

Upon execution, you will be given a crosshair mouse cursor. This is simply
'xwininfo' prompting you to click your desired window.

b) To generate the 'Property' block and write it to your ~/.pekwm/
autoproperties file, run the script with the '-w' switch:

./pekwm_autoprop.pl -w

I like to add the following to my pekwm window menu:
Submenu = "Autoprops" {
        Entry = "Save" { Actions = "Exec /home/matt/code/perl/pekwm_autoprop.pl -w" }
}
                        
***** pekwm menu config *****

Required files:

* pekwm_menu_config.pl
* pekwm_menu_config.pl.vars
* check.png
* uncheck.png

Dependencies:

* Perl
* Zenity

This script parses the pekwm config file and creates a dynamic menu showing all
configuration options. When you click on an option the script will detect what
type of variable is being edited and will pop up a corresponding zenity dialog.
The config will then be rewritten and pekwm reloaded to reflect the change.

Usage:

Add the following to your pekwm menu:

Submenu = "Config" {
        Entry { Actions = "Dynamic /home/matt/code/perl/pekwm_menu_config.pl --
genmenu" }
}
                        
Also, place check.png and uncheck.png in your icons directory (usually
~/.pekwm/icons).
